import { defineComponent, ref, reactive, watch, nextTick, openBlock, createBlock, Teleport, withDirectives, createElementVNode, normalizeClass, normalizeStyle, unref, createVNode, Transition, withCtx, createElementBlock, createCommentVNode, toDisplayString, vShow, pushScopeId, popScopeId } from "vue";
var previewImages_vue_vue_type_style_index_0_scoped_true_lang = "";
var _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};
const _withScopeId = (n) => (pushScopeId("data-v-4d299ec0"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "preview-image-mask" };
const _hoisted_2 = ["src"];
const _hoisted_3 = { class: "preview-hot-zone" };
const _hoisted_4 = { class: "preview-bottom-container" };
const _hoisted_5 = { class: "preview-page-number preview-page-number-visible" };
const _hoisted_6 = { class: "preview-widgets-button-container-bottom preview-widgets-button-container-visible" };
const _hoisted_7 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("span", { class: "preview-divide-line" }, null, -1));
const _sfc_main = /* @__PURE__ */ defineComponent({
  props: {
    images: null,
    src: null,
    visible: { type: Boolean }
  },
  emits: ["update:visible"],
  setup(__props, { emit }) {
    const props = __props;
    const preview = ref();
    const state = reactive({
      currenImage: "",
      containerStyle: {
        transform: "translate(0px, 0px) scale(0.5)",
        "--init-coord": "translate(0px, 0px) scale(0.5)"
      },
      imgStyle: {
        scale: 1,
        translate: {
          x: 0,
          y: 0
        }
      },
      showIndex: 0,
      imagesArr: [],
      scaleMax: 3,
      scaleMin: 0.5
    });
    const close = () => {
      emit("update:visible", false);
    };
    const next = () => {
      if (state.showIndex < state.imagesArr.length - 1) {
        state.showIndex++;
        state.currenImage = "";
        nextTick(() => {
          change(state.imagesArr[state.showIndex]);
        });
      }
    };
    const prev = () => {
      if (state.showIndex > 0) {
        state.showIndex--;
        state.currenImage = "";
        nextTick(() => {
          change(state.imagesArr[state.showIndex]);
        });
      }
    };
    const change = (data) => {
      const { width, height, src } = data;
      const previewBounds = preview.value.getBoundingClientRect();
      const innerWidth = previewBounds.width;
      const innerHeight = previewBounds.height;
      const boxMaxWidth = innerWidth - 60;
      const boxMaxHeight = innerHeight - 60;
      let scaleWidth = 1;
      let scaleHeight = 1;
      if (width >= boxMaxWidth) {
        scaleWidth = Number(parseFloat(`${boxMaxWidth / width}`).toFixed(3));
      }
      if (height >= boxMaxHeight) {
        scaleHeight = Number(parseFloat(`${boxMaxHeight / height}`).toFixed(3));
      }
      const minScale = Math.min(scaleWidth, scaleHeight);
      state.imgStyle.scale = minScale;
      state.imgStyle.translate.x = 0;
      state.imgStyle.translate.y = 0;
      state.currenImage = src;
      state.scaleMin = minScale > 0.5 ? 0.5 : 0.1;
    };
    let scheduledAnimationFrame = false;
    const scroll = (e) => {
      if (!scheduledAnimationFrame) {
        scheduledAnimationFrame = true;
        requestAnimationFrame(() => {
          const step = state.imgStyle.scale + e.deltaY * 0.01;
          scheduledAnimationFrame = false;
          toScaleOfStep(step);
        });
      }
      e.preventDefault();
    };
    let overWidth = 0;
    let overHeight = 0;
    let startX = 0;
    let startY = 0;
    let boxLeft = 0;
    let boxTop = 0;
    const dragImage = (e) => {
      const { width, height } = state.imagesArr[state.showIndex];
      const previewBounds = preview.value.getBoundingClientRect();
      const innerWidth = previewBounds.width;
      const innerHeight = previewBounds.height;
      overWidth = width * state.imgStyle.scale - innerWidth;
      overHeight = height * state.imgStyle.scale - innerHeight;
      if (overWidth > 0 || overHeight > 0) {
        startX = e.clientX;
        startY = e.clientY;
        boxLeft = (overWidth / 2 + 30) / state.imgStyle.scale;
        boxTop = (overHeight / 2 + 30) / state.imgStyle.scale;
        document.addEventListener("mousemove", imageMove);
        document.addEventListener("mouseup", imageUp);
      }
      e.preventDefault();
    };
    let dragAnimationFrame = false;
    const imageMove = (e) => {
      if (!dragAnimationFrame) {
        dragAnimationFrame = true;
        requestAnimationFrame(() => {
          dragAnimationFrame = false;
          const { clientX, clientY } = e;
          let disx = clientX - startX;
          let disY = clientY - startY;
          let x = state.imgStyle.translate.x + disx * 0.5;
          let y = state.imgStyle.translate.y + disY * 0.5;
          if (x >= boxLeft) {
            x = boxLeft;
          }
          if (y >= boxTop) {
            y = boxTop;
          }
          if (x <= -boxLeft) {
            x = -boxLeft;
          }
          if (y <= -boxTop) {
            y = -boxTop;
          }
          if (overWidth > 0) {
            state.imgStyle.translate.x = x;
          }
          if (overHeight > 0) {
            state.imgStyle.translate.y = y;
          }
          startX = clientX;
          startY = clientY;
        });
      }
      e.preventDefault();
    };
    const imageUp = (e) => {
      document.removeEventListener("mousemove", imageMove);
      document.removeEventListener("mouseup", imageUp);
      e.preventDefault();
    };
    const toScaleMax = () => {
      toScaleOfStep(state.imgStyle.scale + 0.2);
    };
    const toScaleMin = () => {
      toScaleOfStep(state.imgStyle.scale - 0.2);
    };
    const realScreen = () => {
      state.imgStyle.scale = 1;
      state.imgStyle.translate.x = 0;
      state.imgStyle.translate.y = 0;
    };
    const toScaleOfStep = (step) => {
      if (step <= state.scaleMin) {
        step = state.scaleMin;
      } else if (step >= state.scaleMax) {
        step = state.scaleMax;
      }
      state.imgStyle.scale = step;
    };
    const toDownload = () => {
      const strArr = props.src.split("/");
      const a = document.createElement("a");
      a.download = strArr[strArr.length - 1];
      a.href = props.src;
      a.click();
    };
    const loadImage = (src) => {
      return new Promise((resolved, reject) => {
        const img = new Image();
        img.src = src;
        img.onload = function() {
          resolved({
            src,
            width: img.width,
            height: img.height
          });
        };
        img.onerror = reject;
      });
    };
    watch(() => props.visible, (v) => {
      if (v) {
        state.showIndex = state.imagesArr.findIndex((item) => item.src === props.src);
        nextTick(() => {
          change(state.imagesArr[state.showIndex]);
        });
      }
    });
    watch(() => props.images, async () => {
      let arr = [];
      for (let i = 0; i < props.images.length; i++) {
        try {
          const obj = await loadImage(props.images[i]);
          arr.push(obj);
        } catch (err) {
          console.log(err);
        }
      }
      state.imagesArr = arr;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Teleport, { to: "body" }, [
        withDirectives(createElementVNode("div", {
          class: normalizeClass(["preview", __props.visible ? "preview-visible" : "preview-hidden"]),
          ref_key: "preview",
          ref: preview,
          onMousewheel: scroll
        }, [
          createElementVNode("div", _hoisted_1, [
            createElementVNode("div", {
              class: "preview-image-container",
              style: normalizeStyle(unref(state).containerStyle)
            }, [
              createElementVNode("div", {
                class: "preview-image-wrapper-container",
                style: normalizeStyle({ "transform": `scale(${unref(state).imgStyle.scale}) translate(${unref(state).imgStyle.translate.x}px, ${unref(state).imgStyle.translate.y}px)` }),
                onMousedown: dragImage
              }, [
                createVNode(Transition, { name: "fade" }, {
                  default: withCtx(() => [
                    unref(state).currenImage ? (openBlock(), createElementBlock("img", {
                      key: 0,
                      class: "preview-image",
                      src: unref(state).currenImage
                    }, null, 8, _hoisted_2)) : createCommentVNode("", true)
                  ]),
                  _: 1
                })
              ], 36)
            ], 4)
          ]),
          createElementVNode("div", _hoisted_3, [
            createElementVNode("div", { class: "preview-widgets-container-top preview-widgets-container-visible" }, [
              createElementVNode("div", {
                class: "preview-button-close",
                onClick: close
              })
            ]),
            unref(state).showIndex > 0 ? (openBlock(), createElementBlock("div", {
              key: 0,
              class: "preview-button-prev",
              onClick: prev
            })) : createCommentVNode("", true),
            unref(state).showIndex < __props.images.length - 1 ? (openBlock(), createElementBlock("div", {
              key: 1,
              class: "preview-button-next",
              onClick: next
            })) : createCommentVNode("", true),
            createElementVNode("div", _hoisted_4, [
              createElementVNode("div", _hoisted_5, toDisplayString(unref(state).showIndex + 1) + "/" + toDisplayString(unref(state).imagesArr.length), 1),
              createElementVNode("div", _hoisted_6, [
                createElementVNode("span", {
                  class: normalizeClass(["preview-scale-up-button", unref(state).imgStyle.scale >= unref(state).scaleMax ? "preview-disable-click" : ""]),
                  onClick: toScaleMax
                }, null, 2),
                createElementVNode("span", {
                  class: normalizeClass(["preview-scale-down-button", unref(state).imgStyle.scale <= unref(state).scaleMin ? "preview-disable-click" : ""]),
                  onClick: toScaleMin
                }, null, 2),
                createElementVNode("span", {
                  class: "preview-real-screen-button",
                  onClick: realScreen
                }),
                _hoisted_7,
                createElementVNode("span", {
                  class: "preview-download-button",
                  onClick: toDownload
                })
              ])
            ])
          ])
        ], 34), [
          [vShow, __props.visible]
        ])
      ]);
    };
  }
});
var ImagesView = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-4d299ec0"]]);
function styleInject(css, ref2) {
  if (ref2 === void 0)
    ref2 = {};
  var insertAt = ref2.insertAt;
  if (!css || typeof document === "undefined") {
    return;
  }
  var head = document.head || document.getElementsByTagName("head")[0];
  var style = document.createElement("style");
  style.type = "text/css";
  if (insertAt === "top") {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }
  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}
const __STYLE_CSS__ = `.preview[data-v-4d299ec0]{position:fixed;top:0;left:0;right:0;bottom:0;overflow:hidden;z-index:10001;font-family:PingFang SC,Microsoft YaHei,sans-serif;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center}.preview[data-v-4d299ec0]::-webkit-scrollbar{display:none}.preview-image-mask[data-v-4d299ec0]{width:100%;height:100%;background:rgba(0,0,0,.6);display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center}.preview-disable-click[data-v-4d299ec0]{opacity:.5;pointer-events:none}.preview-image[data-v-4d299ec0]{background-color:#fff}.preview-image-error[data-v-4d299ec0],.preview-image-loading[data-v-4d299ec0]{position:absolute;top:50%;left:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%)}.preview-image-error[data-v-4d299ec0]{width:100px;height:20px;font-size:14px;color:#fff6;text-align:center}.preview-image-container[data-v-4d299ec0]{overflow:visible}.preview-widgets-container-top[data-v-4d299ec0]{position:absolute;top:0;left:0;right:0;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-backdrop-filter:blur(50px);backdrop-filter:blur(50px);background-color:#00000052;-webkit-transition:.3s;transition:.3s}.preview-widgets-container-top[data-v-4d299ec0]:after{content:"";position:absolute;bottom:-64px;left:0;right:0;height:64px;background:transparent}.preview-hidden .preview-widgets-container-top[data-v-4d299ec0],.preview-hot-zone:not(:hover):not(.preview-force-hover) .preview-widgets-container-top[data-v-4d299ec0]{-webkit-transform:translateY(-100%);transform:translateY(-100%)}.preview-widgets-container-bottom[data-v-4d299ec0]{position:absolute;bottom:0;left:0;right:0;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-backdrop-filter:blur(50px);backdrop-filter:blur(50px);background-color:#00000052;-webkit-transition:.3s;transition:.3s}.preview-widgets-container-bottom[data-v-4d299ec0]:after{content:"";position:absolute;top:-64px;left:0;right:0;height:64px;background:transparent}.preview-hidden .preview-widgets-container-bottom[data-v-4d299ec0],.preview-hot-zone:not(:hover):not(.preview-force-hover) .preview-widgets-container-bottom[data-v-4d299ec0]{-webkit-transform:translateY(100%);transform:translateY(100%)}.preview-button-close[data-v-4d299ec0]{position:absolute;top:8px;right:20px;width:32px;height:32px;border-radius:4px;background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg width='32' height='32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M22.364 11.05L17.414 16l4.95 4.95-1.414 1.414-4.95-4.95-4.95 4.95-1.414-1.414 4.95-4.95-4.95-4.95 1.414-1.414 4.95 4.95 4.95-4.95 1.414 1.414z' fill='%23FFF' fill-rule='evenodd'/%3E%3C/svg%3E");background-color:#999999a3;background-size:contain;background-position:50%;background-repeat:no-repeat;-webkit-transition:.3s;transition:.3s;cursor:pointer;z-index:1}.preview-button-close[data-v-4d299ec0]:hover{background-color:#999c}.preview-button-close[data-v-4d299ec0]:active{background-color:#ffffff05}.preview-button-prev[data-v-4d299ec0]{position:absolute;top:50%;left:24px;-webkit-transform:translateY(-50%);transform:translateY(-50%);width:48px;height:64px;border-radius:4px;background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg width='48' height='64' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M13.03 32l14.142 14.142 1.414-1.414L15.858 32l12.728-12.728-1.414-1.414L13.029 32z' fill='%23FFF' fill-rule='evenodd'/%3E%3C/svg%3E");background-color:#999999a3;background-size:contain;background-position:50%;background-repeat:no-repeat;-webkit-transition:.3s;transition:.3s;cursor:pointer}.preview-button-prev[data-v-4d299ec0]:hover{background-color:#999c}.preview-button-prev[data-v-4d299ec0]:active{background-color:#ffffff0a}.preview-button-prev[data-v-4d299ec0]:after{content:"";position:absolute;top:-128px;left:-24px;right:-28px;bottom:-128px;background:transparent}.preview-hot-zone:not(:hover):not(.preview-force-hover) .preview-button-prev[data-v-4d299ec0]{opacity:0}.preview-button-next[data-v-4d299ec0]{position:absolute;top:50%;right:24px;-webkit-transform:translateY(-50%);transform:translateY(-50%);width:48px;height:64px;border-radius:4px;background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg width='48' height='64' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M34.97 32L20.829 46.142l-1.414-1.414L32.142 32 19.414 19.272l1.414-1.414L34.971 32z' fill='%23FFF' fill-rule='evenodd'/%3E%3C/svg%3E");background-color:#999999a3;background-size:contain;background-position:50%;background-repeat:no-repeat;-webkit-transition:.3s;transition:.3s;cursor:pointer}.preview-button-next[data-v-4d299ec0]:hover{background-color:#999c}.preview-button-next[data-v-4d299ec0]:active{background-color:#ffffff0a}.preview-button-next[data-v-4d299ec0]:after{content:"";position:absolute;top:-128px;left:-28px;right:-24px;bottom:-128px;background:transparent}.preview-hot-zone:not(:hover):not(.preview-force-hover) .preview-button-next[data-v-4d299ec0]{opacity:0}.preview-bottom-container[data-v-4d299ec0]{left:0;right:0;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.preview-bottom-container[data-v-4d299ec0],.preview-widgets-button-container-bottom[data-v-4d299ec0]{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center}.preview-widgets-button-container-bottom[data-v-4d299ec0]{position:absolute;border-radius:8px 8px 0 0;bottom:0;-webkit-backdrop-filter:blur(50px);backdrop-filter:blur(50px);background-color:#0000007a;-webkit-box-pack:space-evenly;-ms-flex-pack:space-evenly;justify-content:space-evenly;-webkit-transition:.5s;transition:.5s}.preview-widgets-button-container-bottom>*[data-v-4d299ec0]{margin:8px 12px}.preview-widgets-button-container-bottom[data-v-4d299ec0] :first-child{margin-left:24px}.preview-widgets-button-container-bottom[data-v-4d299ec0] :last-child{margin-right:24px}.preview-widgets-button-container-bottom[data-v-4d299ec0]:after{content:"";position:absolute;top:-88px;bottom:-88px;left:-150px;right:-150px;z-index:-1;background:transparent}.preview-hidden .preview-widgets-button-container-bottom[data-v-4d299ec0],.preview-hot-zone:not(:hover):not(.preview-force-hover) .preview-widgets-button-container-bottom[data-v-4d299ec0]{-webkit-transform:translateY(100%);transform:translateY(100%)}.preview-page-number[data-v-4d299ec0]{position:absolute;bottom:70px;left:50%;-webkit-transform:translateX(-50%);transform:translate(-50%);line-height:24px;padding:0 15px;font-size:14px;font-weight:400;color:#fff;border-radius:20px;-webkit-transition:.3s;transition:.3s;background:rgba(0,0,0,.4);border:1px solid hsla(0,0%,100%,.4)}.preview-hidden .preview-page-number[data-v-4d299ec0],.preview-hot-zone:not(:hover):not(.preview-force-hover) .preview-page-number[data-v-4d299ec0]{opacity:0}.preview-hot-zone.preview-force-hover[data-v-4d299ec0]{background:rgba(0,0,0,.1)}@-webkit-keyframes preview-fade-out-4d299ec0{0%{opacity:1}to{opacity:0}}@keyframes preview-fade-out-4d299ec0{0%{opacity:1}to{opacity:0}}@-webkit-keyframes preview-scale-in-4d299ec0{to{-webkit-transform:scale(1) translate(0);transform:scale(1) translate(0)}}@keyframes preview-scale-in-4d299ec0{to{-webkit-transform:scale(1) translate(0);transform:scale(1) translate(0)}}@-webkit-keyframes preview-scale-out-4d299ec0{0%{-webkit-transform:scale(1) translate(0);transform:scale(1) translate(0)}to{-webkit-transform:scale(0);transform:scale(0)}to{-webkit-transform:var(--init-coord);transform:var(--init-coord)}}@keyframes preview-scale-out-4d299ec0{0%{-webkit-transform:scale(1) translate(0);transform:scale(1) translate(0)}to{-webkit-transform:scale(0);transform:scale(0)}to{-webkit-transform:var(--init-coord);transform:var(--init-coord)}}.preview[data-v-4d299ec0],.preview-image[data-v-4d299ec0],.preview-image-wrapper[data-v-4d299ec0],.preview-mask[data-v-4d299ec0]{-webkit-animation-iteration-count:1;animation-iteration-count:1;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards}.preview-visible .preview-image-container[data-v-4d299ec0]{-webkit-animation-duration:.3s;animation-duration:.3s;-webkit-animation-name:preview-scale-in-4d299ec0;animation-name:preview-scale-in-4d299ec0;-webkit-animation-fill-mode:forwards;animation-fill-mode:forwards;-webkit-animation-timing-function:cubic-bezier(.2,.1,.2,1);animation-timing-function:cubic-bezier(.2,.1,.2,1)}.preview-hidden[data-v-4d299ec0]{-webkit-animation-duration:.24s;animation-duration:.24s;-webkit-animation-name:preview-fade-out-4d299ec0;animation-name:preview-fade-out-4d299ec0;-webkit-animation-timing-function:cubic-bezier(.2,.1,.2,1);animation-timing-function:cubic-bezier(.2,.1,.2,1)}.preview-hidden .preview-image-container[data-v-4d299ec0]{-webkit-animation-duration:.3s;animation-duration:.3s;-webkit-animation-name:preview-scale-out-4d299ec0;animation-name:preview-scale-out-4d299ec0;-webkit-animation-timing-function:cubic-bezier(.2,.1,.2,1);animation-timing-function:cubic-bezier(.2,.1,.2,1)}.fade-enter-active[data-v-4d299ec0],.fade-leave-active[data-v-4d299ec0]{-webkit-transition:opacity .3s;transition:opacity .3s}.fade-enter[data-v-4d299ec0],.fade-leave-to[data-v-4d299ec0]{opacity:0}.preview-scale-up-button[data-v-4d299ec0]{background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' fill='none' fill-rule='evenodd' stroke='%23fff'%3E%3Ccircle stroke-width='2' cx='15' cy='15' r='8'/%3E%3Cg fill='%23979797'%3E%3Cpath d='M21.586 19.88l4.243 4.243-.707.707-4.243-4.243zM11.5 14.5h7v1h-7z'/%3E%3Cpath d='M14.5 11.5h1v7h-1z'/%3E%3C/g%3E%3C/svg%3E");background-repeat:no-repeat;background-size:cover;border-radius:4px;width:32px;height:32px;-webkit-transition:.3s;transition:.3s}.preview-scale-up-button[data-v-4d299ec0]:hover{background-color:#ffffff1f}.preview-scale-down-button[data-v-4d299ec0]{background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' fill='none' fill-rule='evenodd' stroke='%23fff'%3E%3Ccircle stroke-width='2' cx='15' cy='15' r='8'/%3E%3Cpath d='M21.586 19.88l4.243 4.243-.707.707-4.243-4.243zM11.5 14.5h7v1h-7z' fill='%23979797'/%3E%3C/svg%3E");background-repeat:no-repeat;background-size:cover;border-radius:4px;width:32px;height:32px;left:100px;-webkit-transition:.3s;transition:.3s}.preview-scale-down-button[data-v-4d299ec0]:hover{background-color:#ffffff1f}.preview-image-wrapper-container[data-v-4d299ec0]{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;cursor:default}.preview-image-wrapper-container-scale[data-v-4d299ec0]{-webkit-transition:-webkit-transform .2s;transition:-webkit-transform .2s;transition:transform .2s;transition:transform .2s,-webkit-transform .2s}.preview-adapt-screen-button[data-v-4d299ec0]{background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32'%3E%3Cpath d='M13 19v1.413L10.413 23H13v2H8a1 1 0 01-1-1v-5h2v2.585L11.586 19H13zm12 0v5a1 1 0 01-1 1h-5v-2h2.586L19 20.414V19h1.414L23 21.586V19h2zM13 7v2h-2.586L13 11.586V13h-1.414L9 10.414V13H7V8a1 1 0 011-1h5zm11 0a1 1 0 011 1v5h-2v-2.587L20.414 13H19v-1.415L21.585 9H19V7h5z' fill='%23fff'/%3E%3C/svg%3E");background-repeat:no-repeat;background-size:cover;border-radius:4px;width:32px;height:32px;left:100px;-webkit-transition:.3s;transition:.3s}.preview-adapt-screen-button[data-v-4d299ec0]:hover{background-color:#ffffff1f}.preview-real-screen-button[data-v-4d299ec0]{background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='32' height='32'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Crect stroke='%23fff' stroke-width='2' x='8' y='8' width='16' height='16' rx='1'/%3E%3Cg fill='%23fff'%3E%3Cg fill-rule='nonzero'%3E%3Cuse xlink:href='%23B'/%3E%3Cuse xlink:href='%23B' x='8.312' y='.005'/%3E%3C/g%3E%3Ccircle cx='16' cy='14' r='1'/%3E%3Ccircle cx='16' cy='18' r='1'/%3E%3C/g%3E%3C/g%3E%3Cdefs%3E%3Cpath id='B' d='M13.016 19.475v-7.492h-.86a4.378 4.378 0 01-.944.745c-.378.2-.724.357-1.06.44v1.133c.693-.2 1.27-.514 1.72-.944v6.118h1.144z'/%3E%3C/defs%3E%3C/svg%3E");background-repeat:no-repeat;background-size:cover;border-radius:4px;width:32px;height:32px;left:100px;-webkit-transition:.3s;transition:.3s}.preview-real-screen-button[data-v-4d299ec0]:hover{background-color:#ffffff1f}.preview-divide-line[data-v-4d299ec0]{width:1px;height:16px;opacity:.5;background-color:#fff}.preview-download-button[data-v-4d299ec0]{background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' fill='%23fff'%3E%3Cpath d='M15 7h2v11h-2z'/%3E%3Cpath d='M18.832 14.3l1.414 1.414-4.243 4.243-4.243-4.243 1.414-1.414 2.828 2.828 2.83-2.828zM24 24H8a1 1 0 01-1-1v-5h2v4h14v-4h2v5a1 1 0 01-1 1z'/%3E%3C/svg%3E");background-repeat:no-repeat;background-size:cover;border-radius:4px;width:32px;height:32px;left:100px;-webkit-transition:.3s;transition:.3s}.preview-download-button[data-v-4d299ec0]:hover{background-color:#ffffff1f}`;
styleInject(__STYLE_CSS__);
export { ImagesView as default };
